!    This file is part of hybrid.
!    $Id: lapack_int.f90,v 1.2 2009-02-10 19:38:22 tburnus Exp $
!
! ***** BEGIN LICENSE BLOCK *****
! Version: MPL 1.1/GPL 2.0/LGPL 2.1
!
! The contents of this file are subject to the Mozilla Public License Version
! 1.1 (the "License"); you may not use this file except in compliance with
! the License. You may obtain a copy of the License at
! http://www.mozilla.org/MPL/
!
! Software distributed under the License is distributed on an "AS IS" basis,
! WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
! for the specific language governing rights and limitations under the
! License.
!
! The Original Code is Hybrid
!
! The Initial Developer of the Original Code is Tobias Burnus <burnus@net-b.de>
! Portions created by the Initial Developer are Copyright (C) 2006-2009
! the Initial Developer. All Rights Reserved.
!
! Contributor(s):
!
! Alternatively, the contents of this file may be used under the terms of
! either the GNU General Public License Version 2 or later (the "GPL"), or
! the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
! in which case the provisions of the GPL or the LGPL are applicable instead
! of those above. If you wish to allow use of your version of this file only
! under the terms of either the GPL or the LGPL, and not to allow others to
! use your version of this file under the terms of the MPL, indicate your
! decision by deleting the provisions above and replace them with the notice
! and other provisions required by the GPL or the LGPL. If you do not delete
! the provisions above, a recipient may use your version of this file under
! the terms of any one of the MPL, the GPL or the LGPL.
!
! ***** END LICENSE BLOCK *****

MODULE lapack_int
INTERFACE
  ! DSYEV computes all eigenvalues and, optionally,  eigenvec
  ! tors of a real symmetric matrix A.
  SUBROUTINE dsyev(jobz, uplo, n, a, lda, w, work, lwork, info)
      CHARACTER :: jobz, uplo
      INTEGER   :: info, lda, lwork, n
      DOUBLE PRECISION :: a(lda, n)
      DOUBLE PRECISION :: w(n)
      DOUBLE PRECISION :: work(*) ! >= max(1,3*N-1)
  END SUBROUTINE dsyev

  SUBROUTINE dgeev(JOBVL, JOBVR, N, A, LDA, WR, WI, VL, &
                   LDVL, VR, LDVR, WORK, LWORK, INFO)
      CHARACTER        :: JOBVL, JOBVR
      INTEGER          :: INFO, LDA, LDVL, LDVR, LWORK, N
      DOUBLE PRECISION :: A(LDA, *), VL(LDVL, *), VR(LDVR, *), WI(*), &
                          WORK(*), WR(*)
  END SUBROUTINE dgeev
END INTERFACE
END MODULE lapack_int
